const $buildXFAObject = Symbol();

const NamespaceIds = {
	config: {
		id: 0,
		check: ns => ns.startsWith("http://www.xfa.org/schema/xci/")
	},
	connectionSet: {
		id: 1,
		check: ns => ns.startsWith("http://www.xfa.org/schema/xfa-connection-set/")
	},
	datasets: {
		id: 2,
		check: ns => ns.startsWith("http://www.xfa.org/schema/xfa-data/")
	},
	form: {
		id: 3,
		check: ns => ns.startsWith("http://www.xfa.org/schema/xfa-form/")
	},
	localeSet: {
		id: 4,
		check: ns => ns.startsWith("http://www.xfa.org/schema/xfa-locale-set/")
	},
	pdf: {
		id: 5,
		check: ns => ns === "http://ns.adobe.com/xdp/pdf/"
	},
	signature: {
		id: 6,
		check: ns => ns === "http://www.w3.org/2000/09/xmldsig#"
	},
	sourceSet: {
		id: 7,
		check: ns => ns.startsWith("http://www.xfa.org/schema/xfa-source-set/")
	},
	stylesheet: {
		id: 8,
		check: ns => ns === "http://www.w3.org/1999/XSL/Transform"
	},
	template: {
		id: 9,
		check: ns => ns.startsWith("http://www.xfa.org/schema/xfa-template/")
	},
	xdc: {
		id: 10,
		check: ns => ns.startsWith("http://www.xfa.org/schema/xdc/")
	},
	xdp: {
		id: 11,
		check: ns => ns === "http://ns.adobe.com/xdp/"
	},
	xfdf: {
		id: 12,
		check: ns => ns === "http://ns.adobe.com/xfdf/"
	},
	xhtml: {
		id: 13,
		check: ns => ns === "http://www.w3.org/1999/xhtml"
	},
	xmpmeta: {
		id: 14,
		check: ns => ns === "http://ns.adobe.com/xmpmeta/"
	}
};

export { $buildXFAObject, NamespaceIds };
