import { NamespaceIds, $buildXFAObject } from './namespaces.js';
import { XFAObject } from './xfa_object.js';

const SIGNATURE_NS_ID = NamespaceIds.signature.id;

class Signature extends XFAObject {
	constructor(attributes) {
		super(SIGNATURE_NS_ID, "signature", true);
	}
}

class SignatureNamespace {
	static [$buildXFAObject](name, attributes) {
		if (SignatureNamespace.hasOwnProperty(name)) {
			return SignatureNamespace[name](attributes);
		}

		return undefined;
	}

	static signature(attributes) {
		return new Signature(attributes);
	}
}

export { SignatureNamespace };
