import { NamespaceIds, $buildXFAObject } from './namespaces.js';
import { XFAObject } from './xfa_object.js';

const STYLESHEET_NS_ID = NamespaceIds.stylesheet.id;

class Stylesheet extends XFAObject {
	constructor(attributes) {
		super(STYLESHEET_NS_ID, "stylesheet", true);
	}
}

class StylesheetNamespace {
	static [$buildXFAObject](name, attributes) {
		if (StylesheetNamespace.hasOwnProperty(name)) {
			return StylesheetNamespace[name](attributes);
		}

		return undefined;
	}

	static stylesheet(attributes) {
		return new Stylesheet(attributes);
	}
}

export { StylesheetNamespace };
