class XfaText {
	static textContent(xfa) {
		const items = [];
		const output = { items, styles: Object.create(null) };

		function walk(node) {
			if (!node) {
				return;
			}

			let str = null;
			const name = node.name;

			if (name === "#text") {
				str = node.value;
			} else if (!XfaText.shouldBuildText(name)) {
				return;
			} else if (node?.attributes?.textContent) {
				str = node.attributes.textContent;
			} else if (node.value) {
				str = node.value;
			}

			if (str !== null) {
				items.push({ str });
			}

			if (!node.children) {
				return;
			}

			for (const child of node.children) {
				walk(child);
			}
		}

		walk(xfa);
		return output;
	}

	static shouldBuildText(name) {
		return !(name === "textarea" || name === "input" || name === "option" || name === "select");
	}
}

export { XfaText };
